Introducing Liquid Player

Congratulations, you are about to experience the future of music. With Liquid Audio’s Liquid Player, you can enjoy music in an entirely new way. Through Liquid Player, you now have convenient access to downloadable music at the click of a mouse. Liquid Player lets you sample music from the Liquid Music Network, view digital liner notes, and download promotional or for-sale singles right to your computer. Liquid Audio’s digital delivery of downloadable music provides you with instant musical gratification and a better music experience.

Here are just some of the features Liquid Player has to offer.

  • Listen to audio selections that can be streamed over the Internet.

  • Download music clips, extracted from the original songs that provide brief, uninterrupted CD-quality previews of a song.

  • Purchase and download Liquid Tracks.

  • Play tracks from your audio CDs.

  • Import tracks from your audio CDs, and then record those tracks to CDs you create yourself.

  • Purchase complete CDs, which will be shipped or mailed to you.

  • Play files encoded in the popular MP3 format.

  • Use the Music Organizer to assemble custom track lists, which you can use to transfer multiple tracks to a CD-R or (with the Liquid Player Plus) to a portable device.

Before you begin using Liquid Player, you may want to read the following topics.

What's New – lists new features to Liquid Player

System Requirements – displays the requirements necessary to run Liquid Player

Getting Started – gives you a launch pad to topics that explain how to use the various features of Liquid Player


System Requirements

Using a Windows PC that meets the following requirements will enhance your enjoyment of Liquid Player:

OS software | Windows 98 Windows 98 SE Windows NT 4.0 (service pack 5 or higher) Windows 2000 Windows Me
Memory (RAM) | At least 32 MB for 98 or ME At least 64 MB for NT 4.0 or 2000
Hard Disk Space | 50 MB of hard disk space recommended (Player takes 20 MB of space)
Processor | Pentium 233 MHz or 100% PC (Pentium II or higher recommended)
Sound card | 16-bit DirectX-compatible sound device
Speakers | External powered speakers or headphones
Internet connection1 | 28.8 Kbps modem (DSL, Cable Modem, or LAN connection recommended)
Connection speed1 | A minimum connection speed of 28.8 Kbps
Web browser | Netscape Navigator or Microsoft Internet Explorer 5.x or higher
CD-R/RW unit1 | Any MMC compliant CD-R/RW devices including major drive families such as HP, Plextor, Panasonic, Teac, Mitsumi, Samsung, Sony and Yamaha
Portable device1,2 | View http://www.liquidaudio.com/support/player/index.jsp Note: USB and 1394 (Firewire) devices are not supported under Windows NT 4.0

1-- not required for basic operation

2-- only supported by the Liquid Player Plus


Getting Started

The Liquid Player help system provides information on how to use specific features of Liquid Player. If you need help on a particular feature of Liquid Player, you can access this information in the Using Liquid Player topics. You can also access comprehensive descriptions of each user interface element through the Liquid Player Reference topics.

To learn more about Liquid Player and what it can do, click on one of the following links:

Listen to music

Request a free Liquid Passport

Stream music over the Internet

Download free music

Purchase music on the Internet

Purchase a CD

Organize your music

Transfer tracks to a CD-R

Transfer tracks to a portable music device

Upgrade your Liquid Player

Optimizing your Liquid Player

Tips and troubleshooting


What's New

Liquid Audio’s Liquid Player has added the following features to the latest release:

CD Import (Ripping)

Improved Music Organizer Interface

Simplified CD Burning

Home View: Instant access to music on the Internet

Now Playing View: Greater track list control

Improved Download Management

Automatic Update Agent

Portable Device Export (Available in Liquid Player Plus)


Listen to Music

Liquid Player supports playback for MP3, WAV, WMA, ASF and Liquid Track (LQT, LA1) file formats. It can also play track lists.

To listen to a track or track list

  1. Click File menu > Open (Ctrl-O).

The Open dialog box is displayed.

  2. In the Open dialog box, browse your computer to find a track or track list you wish to play.

  3. Click an individual track to highlight it.

The highlighted track’s file name is displayed in the File name text box.

  4. Double-click the highlighted track or click Open.

The selected track or track list begins playing in the Liquid Player.


Request a free Liquid Passport

Registering the Liquid Player

Why register?

When you install the Liquid Player for the first time, you will be prompted to register the Liquid Player with either FastTrack Security or a Full Passport. Registering your Liquid Player is what enables you to securely purchase and download Liquid Tracks over the Internet. After registering the Liquid Player, every Liquid Track you purchase will be bound to your machine or embedded with your unique Passport. Although registration is not required, some Liquid Tracks may require you to register before downloaded.

What is the difference between the two registrations?

Liquid Player’s original Passport enables you to download secure tracks to a computer with the added ability of letting you transfer those tracks to another computer if needed. The tracks are bound to the Passport, so the tracks can be played wherever the Liquid Player and your Passport are found. Registering for a Passport requires you to enter a credit card number to vouch for your identity.

FastTrack Security also enables you to download secure tracks to a computer, but tracks downloaded using this security method are bound to your computer instead of to a Passport. Any secure tracks that you download using this security method will need to reside on the original computer downloaded to in order for the songs to be played. Registering for FastTrack Security requires you to enter less personal information than a Passport. Specifically, you are not asked to supply a credit card number to vouch for your identity.

What happens with my personal information? (Full Passport)

After obtaining your Passport, the personal information you previously entered can only be accessed through the Liquid Player on your computer system. This information is accessible in your Liquid Player as a deterrent from freely giving your Liquid Tracks and Passport to others. This Passport is meant to be yours and yours alone. The songs purchased using this passport are also meant for you alone, meaning that to give away a purchased song also means giving away your Passport which contains your credit card information. However, you can use a password to protect your Passport information from being view by other people who may be using your computer system.

Does the Passport stay with my computer?

As stated above, the Passport is for you alone, but you may not always want to listen to music on just one computer. A Passport can be transferred to another PC or MAC so you can play Liquid Tracks that were purchased on a different computer. FastTrack security does not offer the ability to play purchased tracks on a different computer.

Moving your Passport to another computer (Full Passport)

If you decide that you would like to listen to Liquid Tracks on another computer, you can copy your Passport to a disk and save it to a different computer if you have registered your Liquid Player with a Passport.

  1. Use the Find feature, available in Windows 98 and NT 4.0, to find your Passport file (passport.lqp).

  2. Once this is found, copy it to a disk or send it to an e-mail address.

  3. When you decide to play Liquid Tracks on another computer, copy passport.lqp into the root directory of the Liquid Player installed on the computer.

Once the file has been copied, you can play Liquid Tracks on that computer.

You may want to delete your passport if you do not plan to use that computer to listen to Liquid Tracks again, or if you do no want other people viewing your Passport information. Alternatively, you can use the File Menu Registration command to create a password that prohibits others from viewing your Passport.


Stream music over the Internet

Streaming music from the Internet to your home computer is easier than you may think. If your computer meets the Liquid Player’s system requirements all you need to do is find your favorite Liquified artist’s track and click. It’s that easy.

Streaming Music

  1. Connect your Web browser to a music site that advertises itself as a "liquified" (or "Liquid Audio" enabled) Web site. These sites have downloadable music prepared for Liquid Player users.

  2. Click any interesting music links.

The Liquid Player will begin to transfer the song from the Web site to your computer.

After a brief pause, the Liquid Player will automatically stream the selection through your computer’s sound card and speakers.

  3. While the song is playing you can adjust the Playback Controls to your liking.

When the song is finished streaming, the Liquid Player will be ready for you to replay the song, click another music link, download a free sample or make a purchase decision.

If song playback is choppy, review Optimizing the Liquid Player for helpful tips on solving any possible problems.


Download a song clip

Download free tracks

Many Internet music merchants provide "free samples" of their music. These downloadable samples can be entire songs, or shorter preview clips extracted from full-length songs. Samples are obtained by means of the Free Track button. The advantage of downloading a sample is that you get a high-fidelity preview of a song that you can replay at your convenience. In some cases samples will not be available, in which event the Free Track button will be disabled.

Before you begin to download tracks, you may want to change the download directory.

Downloading free tracks

  1. Connect your Web browser to a music site.

  2. Click any interesting song links.

The Liquid Player transfers the song from the Web site and displays the Now Playing view.

  3. Click the Free Track button (if available).

The Liquid Player begins to download the track. You can inspect the progress of the download in the Download view. Check the Est. Time amount, as it represents the time required to download the free sample to your hard drive. Click Cancel if you want to stop the download.

When the song is finished downloading, the Liquid Player will play it, add it to a queue of songs to be played, or merely add it to the Track Pool, depending on the After Download Completes setting in the Preferences File Actions tab.

Liquified web sites can also provide automated free samples. In this case, after you have clicked the link on the web site, the player automatically launches and begins the download.

See Also:

Now Playing view

Download view


Change the download directory

As a default, the Liquid Player downloads tracks to a Tracks directory beneath the Liquid Player installation directory. You can change this download directory.

Changing the download directory

  1. Select File menu >Preferences

  2. Click the Paths tab.

  3. Enter a new directory name in the Music Files Location box. You can also use the ... button to browse to a different directory.

  4. Click OK to save your changes.


Purchase music on the Internet

When you decide to buy a song for recording purposes, you’ll actually be purchasing a Liquid Track, which contains the complete song in a ready-to-record format. If you have already registered the Liquid Player with a Passport or FastTrack security, you can begin to purchase Liquid Tracks immediately.

Purchasing a Liquid Track

After you stream a song, look in the Now Playing view for price information, which will appear if the song is for sale. In the Track Info, you should see a price for the song .

  1. Click the Buy Track button (if the button is active).

Your Web browser will open the first page in that Web site's "Shopping" sequence. (These sequences will vary widely from site to site.)

  2. When you have finished your on-line shopping, click the appropriate "Checkout" button to start the final purchase transaction process.

  3. Follow the Web site publisher's instructions (as displayed in their order pages) and enter the appropriate personal information and credit card data. (The Liquid Track information should be automatically entered in the appropriate spaces.)

Once the payment information has been verified, a new page appears, listing your newly purchased Liquid Tracks, along with "Download" links by each title.

  4. Click a Download Now link (or button) next to any Liquid Track to copy the song to your PC.

  5. You can open the Download view to see the progress of the download.

Note: If you decide to cancel downloading, you will not be billed for the Liquid Track. However, if you cancel a download, you can later resume it from the Download view.

Once the download is complete, the "Licensed" label appears in the Now Playing view Track Info box. The Liquid Player will play the newly purchased track, add it to a queue of songs to be played, or merely add it to the Track Pool, depending on the After Download Completes setting in the Preferences File Actions tab.

You can now replay the song through your computer’s speakers or record the song onto a recordable CD.

Downloading Multiple Tracks

Some Internet music merchants give you the option of downloading all of your selected Liquid Tracks at one time. When doing this, you can also choose to create a track list composed of all the tracks you are about to download.


Purchase a CD

Through the Liquid Player you have the option of having an entire CD sent to your home. After listening to a clip you may decide you would like to own the CD it is part of. Using the Buy Album button, you can connect to an Internet site such as Amazon.com and they can process your order and ship the selected CD to your home.

Purchasing an entire CD

  1. Select the Buy Album button in the Now Playing view or click Tracks menu > Purchase.

The Liquid Player will connect to a music site’s order form page through your web browser.

  2. Follow the web site-specific ordering instructions, as displayed in your web browser.

Once the information has been entered and submitted to the music site, you should see a confirmation notice displayed in your web browser.

The merchant will now begin the process of shipping you the physical CD.


Import your music from a CD

If you have CD tracks that you would like to listen to on your computer or would like to transfer to a CD-R or (with the Liquid Player Plus) to a portable device, you can use Liquid Player’s Music Organizer to do so. From the Music Organizer’s Import CD view, you can play audio CDs, use the CDDB™ database to identify a CD, configure Liquid Player for CD import, and import CD tracks.

Configuring CD import

Before beginning to import CD tracks, you will be prompted to configure Liquid Player for CD importing by using the CD Wizard. The CD Wizard lets you set options such as which CD to use and what encoding method is preferred. The CD Wizard offers detailed explanation of each parameter that you can set.

After using the CD Wizard, you may want to reconfigure Liquid Player. You can use the CD Wizard each time you want to reconfigure or you can select File menu > Preferences and click the Import Music tab to directly access the parameters for CD importing.

Importing CD tracks

  1. Click the Import CD button.

The Import CD view is displayed in the Music Organizer.

  2. Insert the CD you wish to import.

  3. If there is more than one CD drive attached to your system, select the device you want to use from the [image] drop-down list.

A list of tracks available on the CD is displayed.

If you have an Internet connection, and have turned on the Automatic setting in step 2 of the CD Import Wizard, Liquid Player uses CDDB™ to match the CD to an album found in the CDDB database. Liquid Player uses the information found in the database to name the album and tracks that you are importing.

  4. You can edit track information by selecting the track and clicking the text you want to edit.

  5. Un-check the checkbox of any track that you do not want to import.

Once you have finalized which tracks will be imported, you can import the tracks.

  6. Click the Import button. ( [image])

Liquid Player begins importing the selected tracks, one-by-one. A progress bar beside an individual track shows the progress of the track, while a percentage displayed at the bottom of the Music Organizer shows the progress of the entire import procedure.

At any point, you can cancel the import process by clicking the Cancel button. ( [image]).

When the CD import process has completed, each imported track will display the word “complete”.

The imported tracks are now available in the Track Pool. If the Automatically build Track Lists checkbox was activated in the Paths tab of the Preferences dialog box, the tracks will automatically be added to a track list that is named after the album title.

Editing track information

After you have imported audio CD tracks, you may want to edit the information that is available for each track. If you used the CDDB database to retrieve information on the album and tracks that you have imported, some of this information will be entered automatically. If you did not use CDDB, the track information will be blank. Entering or editing track information is optional.

  1. Click the Organize Music button.

The Organize Music view is displayed.

  2. Find and select a track that you have imported from an audio CD.

  3. Click the Edit Info ( [image] ) button.

The Edit dialog box is displayed.

  4. Use the Edit dialog box to enter information into the various tabs of the dialog.

  5. Click OK so save the changes. Click Cancel to dismiss the dialog box without saving.

For more information regarding CD Importing, consult the following topics.

Music Organizer

Import CD

Edit Dialog box


Organize your music

After you have accumulated a collection of songs, you may want to play a number of them in a particular order, without interruptions. Using the Music Organizer, you can add any number of song titles to a track list, then play the track list, and all its songs, in the order you choose. A track list is also an easy way of preparing a number of tracks for transferring to a blank CD.

Creating a track list

  1. Click the Organize Music button in the Music Organizer.

The Organize Music view is displayed.

  2. Click the [image] button.

A text box is displayed.

  3. Enter a unique name for your new track list. For instance, you may want a genre such as techno or rock, or you may want to use an artist’s name or album.

The new track list is added to the Track Lists group. The new track list currently has no tracks in it.

If new tracks have been added to your system, you may want to Scan your computer so those tracks are available to be added to a track list. If your Track Pool is up-to-date, you can skip steps 4 - 6.

  4. Click the [image] button.

The Scan system for music dialog box is displayed.

  5. Select a directory or drive to scan for new tracks. You can also browse to a directory not listed in the Scan Directory drop-down list.

  6. Click Scan.

Liquid Player scans the selected drive for new tracks and adds them to the Track Pool.

Review the Track Pool for tracks that you would like to add to your track list.

  7. After finding a track that you would like to add, click and hold the left mouse button over the song title to highlight the track.

  8. Drag the highlighted track from the Track Pool group to the Track Lists group, then release the mouse button while the track is directly over the name of the newly created track list.

The selected track is added to the track list and is displayed in Track Lists.

  9. Continue to drag and drop song titles onto the track list until you are satisfied.

Note: You can also add multiple tracks to a track list by pressing and holding the CTRL button while clicking multiple tracks in the Track Pool. Once you have selected all the tracks you wish to add, you can drag and drop them into a track list or press the [image] button.

  10. Double-click the icon next to the track list to begin playing the tracks. You can also right-click over the track list name and select Play track list.

The track list will be available in Liquid Player until it is deleted. You can remove tracks from the track list by highlighting the track in track lists group and clicking the Remove button ( [image]). This will remove the track from the track list, but does not remove the track from your computer. Removing a track list does not delete the songs contained in that track list.

For more information regarding track lists and the Music Organizer, consult the following topics.

Music Organizer

Import CD

Organize Music

Creating Multiple track lists


Record your tracks to a compact disc

After you have downloaded a Liquid Track (from any number of Internet music merchants), or imported a track from a CD, you can use the Liquid Player to record (burn) the track onto a CD. You can also use the Liquid Player to record MP3, WMA, and WAV files to a CD. Once you create a CD, you can play it in any CD player.

Recording a Liquid Track

  1. Insert a blank or partially recorded CD into the CD-R drive.

  2. Click the Export button.

  3. In the Export view, click the Burn CD button.

The Export view is displayed in Burn CD mode. This view contains two main areas: Track Pool and Device. Track Pool displays all available tracks and track lists on your computer. (You can create track lists in the Organize Music view). Device lists the contents of the CD you are going to record to.

  4. If you have more than one CD-R connected to your system, select the CD-R you wish to record to from the Device drop-down list. ( [image])

Below the Device box, the Liquid Player displays the amount of available recording time left on the CD.

  5. Look through the track lists and decide which tracks you wish to record.

Important! Remember you can only record a purchased Liquid Track a limited number of times to a CD, and that you can only record an imported CD track three times to a CD. Once the recording limit has been reached, you can only listen to the track on your computer or on the recorded CD.

  6. With your mouse, click and hold a track title or an entire track list and drag it to the Device box.

The track(s) appears in the Device box. Below the Device box, the time changes to show what will be available on the CD after your tracks are recorded to it. Once you are satisfied with your selections, you are ready to record.

  7. Click the Transfer button.( [image])

The Music to Go dialog box appears.

  8. If you wish, you can change the Write Speed for the recording process. With a higher speed, the CD will be recorded more quickly. With a lower speed, the recording process will be more reliable on some systems.

  9. If you may record more tracks to the CD at a later date, deactivate the Close CD When Finished checkbox.

  10. When you are ready to proceed with the recording, click OK in the Music to Go dialog box.

The Liquid Player begins to record the selected tracks onto your CD. The Music to Go dialog box will display a bar showing the progress of the entire recording process.

  11. You can click Advanced to see the status of each track as it is recorded.

When the recording process is complete, the Music to Go dialog box displays a message telling you whether or not the recording was successful.

You now have two options: Record more tracks to the CD (if it is not full) or finalize the record process so the CD can be played in any compact disc player.

If you choose to record more tracks to the CD, just repeat the previous steps now or at a later date until the CD is full. When the CD is full or you do not wish to add more tracks, you must Finalize the CD.

Finalizing your CD

  1. Click the Close CD button.

A prompt appears telling you that once the disc is closed, you will no longer be able to write to it.

  2. Click Yes if you do not plan to record more tracks to the CD.

The Liquid Player writes a table of contents onto the CD and finalizes the recording process. The CD is now ready to play in any compact disc player. Enjoy!


Transfer tracks to a portable music device

After you have imported tracks from a CD or downloaded tracks from the Internet, you may want to transfer those tracks to a portable music device. Using Liquid Audio’s Music Organizer, you can transfer individual tracks to a portable music device or you can use a track list to easily transfer multiple tracks. You can also delete tracks from a portable music device.

Note: Only the Liquid Player Plus supports these functions.

Transferring tracks to a portable music device

  1. Connect your portable music device to your computer.

  2. Click the Export button.

  3. In the Export view, click the Export to Device button.

The Export view is displayed in Export to Device mode.

  4. If there is more than one portable music device attached to your computer, select the correct device from the Device drop-down list. ( [image])

  5. If the portable device has more than one media, select the media you want to transfer tracks to from the Media drop-down list.

  6. From the Track Pool, select the track, multiple tracks, or track list you want to transfer to the portable music device.

  7. Drag and drop the selected tracks over the Media Contents list or click the [image] button.

You may see the Validating Tracks dialog box, meaning the Liquid Player is checking to see that you have the permissions to transfer the track.

The tracks that will be transferred to the device media are displayed along with this graphic:

  8. Once you have selected the tracks you want to transfer, click the Transfer button ( [image]).

The Transfer in Progress dialog box is displayed. The progress of an individual track transfer is indicated with a message. The progress bar indicates the progress of the entire track transfer process.

  9. Once the transfer has completed, click the OK button.

The transferred tracks are now available for playback on your portable music device.

Deleting tracks from a portable music device

  1. Connect your portable device and display the Export view in Export to Device mode.

  2. If there is more than one portable music device attached to your computer, select the correct device from the Device drop-down list.

  3. If the portable device has more than one media, select the media containing the track you wish to delete from the Media drop-down list.

  4. Select the track you wish to delete.

  5. Click the Remove button ( [image]).

The graphic beside the track changes to:

  6. Click the Transfer button ( [image]).

The Transfer in Progress dialog box is displayed. If the track deletion is successful, you will get a message indicating that the device was successfully synchronized.

  7. Click OK to close the dialog box.

For more information regarding track transferring and track lists, consult the following topics.

Music Organizer

Export view

Import CD

Organize Music


Upgrade your Liquid Player

Upgrading your Liquid Player is easy. Click File menu > Upgrade Player to contact Liquid Audio over the Internet and check for a new release of the Liquid Player. If your version of the Liquid Player is not current, the Liquid Auto Updates Available dialog box will let you download and install a new Liquid Player over the older version.


Optimizing the Liquid Player

You can fine-tune the operation of your Liquid Player by making changes in the Preferences dialog box.

Fine-tuning connection speed of the Liquid Player

  1. Click File menu > Preferences.

The Preferences dialog box appears.

  3. Select the Connection tab.

  4. In the Bandwidth box, select the streaming bandwidth that most closely matches the speed of your Internet connection. Select a lower bandwidth if your streaming playback experiences frequent gaps and pauses.

NOTE: Selecting a lower speed may improve streaming quality, but it lowers the quality of the audio streamed to your computer.

Fine-tuning the protocol type used by the Liquid Player

The Protocol Type group box enables you to set the correct protocol to use when streaming clips or tracks. Typically, you will want to use the default setting of HTTP, which offers a reliable connection, especially from behind a firewall. If HTTP fails, the Liquid Player will attempt a TCP connection. If TCP fails, the Liquid Player will time out. At this point, you should consult with your network administrator to determine what proxy setting you may need to set.

Do not make changes to the Port Number or Proxy settings without consulting with your network administrator. These options affect only those users whose connection is through a network firewall. HTTP proxy is a way of getting through your network's firewall via the HTTP port and can be used as an alternative route to listen to or download tracks.

You can also use the Preferences dialog box to do the following.

  • Change the default directories for song and faceplate downloading

  • Increase or decrease the buffer size

  • Select a CD recording unit


Player Controls

The Liquid Player controls let you play tracks and navigate through a track list.

  1. Previous: Plays the previous track if a track list has been loaded. Hotkey = page up button

  2. Stop: Stops playback. Hotkey = esc button

  3. Play: Starts playback of the currently loaded track or track list. Resumes playing if playback has been paused. To load a track, select it in a view such as Organize Music. Hotkey = space bar

  4. Pause: Pauses playback. Hotkey = space bar

  5. Advance: Plays the next track if a track list has been loaded. Hotkey = page down button

  6. Track Display: Displays song title, artist name, and album name, when a track has been loaded. Also displays the total time the track has played, as well as the energy output for each audio channel.

  7. Track Slider: Move the track slider to start playback at a different position within the song.

  8. Volume Slider: Move the volume slider to the right to increase the volume. Move it left to decrease the volume.

  9. Continuous: When active, the current track or a track list plays continuously until the Stop button is clicked.

  10. Shuffle: When active, tracks in a track list play randomly.

  11. Song Properties: Displays the properties, such as burn permissions, of the currently loaded track.


Liquid Player Hotkeys

The Liquid Player hotkeys enable you to control some of the functions of the Liquid Player through simple keystrokes.

Key | Action
CTRL + P | Plays or pauses current track
CTRL + S | Stops playback.
CTRL + B | Plays previous track in play list.
CTRL + F | Plays next track in play list.
F9 | Decreases volume.
F10 | Increases volume.
Page Up | In views such as Organize Music, moves highlight up a page.
Page Down | In views such as Organize Music, moves highlight down a page.
Home | In views such as Organize Music, highlights first track.
End | In views such as Organize Music, highlights last track.
Enter | Acts on selection. For example, plays the selected track.
CTRL + E | Clears play list.
CTRL + N | Creates play list.
CTRL + O | Opens a file.
CTRL + H | Toggles shuffle track playback.
CTRL + T | Toggles continuous playback.
CTRL + C | Copies highlighted selection
CTRL + V | Pastes copied selection.
CTRL + X or Delete | Cuts/Deletes/Removes selection.
CTRL + Home or SHIFT + Home | Opens a browser window to the Liquid Audio home page.
ALT + Enter | Displays properties of selected track.
F2 | Renames or edits text.
F3 | Searches for a track in the track pool.
F5 | Scans/Refreshes.


Music Organizer

With Liquid Audio’s Music Organizer you can play tracks, search the Internet or your computer for music, create track lists of your favorite songs, import tracks from a CD, and transport tracks and track lists to a CD-R or portable music device.

The Music Organizer contains controls for displaying six different views. The Home view lets you search for music on the Internet as well as access other Liquid Player features. The Now Playing view lets you see information on the track the Liquid Player is currently playing. The Import CD view lets you import tracks from a CD so that they can be played on your computer or transferred to a CD-R or portable device. The Organize Music view lets you compile selected tracks from the Track Pool into track lists that can later be used for playback or for transfer to a CD-R or portable device. The Export view lets you transfer individual tracks or track lists from your computer to a CD-R or (with the Liquid Player Plus) to a portable device. The Download view lets you view, cancel, or resume the download of Liquid Tracks.

View Controls

You can display the Music Organizer in one of six views, by selecting the appropriate button at the left side of the Liquid Player window. Click one of the following links for more information on a particular Music Organizer view.

Home

Now Playing

Import CD

Organize Music

Export

Download

Player Controls: These buttons, at the top of the Music Organizer, let you control the playback of tracks. Click Player Controls for more information.


Home view

The Home view makes it is easy to start using the Liquid Player. It lets you play song previews, download and purchase tracks, and search for music on the Internet.

What the Home view displays depends on whether or not you are connected to the Internet.

If you are connected to the Internet, the Home view shows you a set of links allowing you to quickly preview, download, or purchase tracks from the Internet.

If you are not connected to the Internet, the Home view gives you three options: get music, organize your music, and export your music. Click get music to be taken to a web page where you can download songs and search for music. Click organize your music to be taken to the Organize Music view, which lets you organize songs that you have downloaded. Click export your music to be taken to the Export view, where you can burn songs to an audio CD, or (with the Liquid Player Plus) export songs to a portable music device.

See Also:

Stream music over the Internet

Download free tracks

Purchase music on the Internet


Now Playing view

The Now Playing view displays the current track list and information about the currently playing track.

The left side of the Now Playing view displays the current track list, with the currently playing track highlighted. You can double click on a different track in the track list to play that track. You can also right-click on a track to play the track, remove the track from the track list, view the properties of the track, or enqueue a different track for playback.

If the track list is too long for the entire list to be displayed, you can scroll through it.

The right side of the Now Playing view displays information on the currently playing track. You can display a particular information category by clicking on the category name beneath the album art.

The categories include:

Track Info: Displays track name, pricing, artist, album, release date, and label information. This category is displayed as a default.

Promo: Displays promotional materials that accompany the track being played

Lyrics: Displays song lyrics that accompany the track being played.

Notes: Displays track notes that accompany the track being played.

Credits. Displays song credits that accompany the track being played.

If the track information is too long to be displayed, you can scroll through it with the [image] and [image] buttons.

The track display area also contains the following four buttons:

Liquid Audio: Click to display the Liquid Audio home page in a browser window.

Free Track: Click to download a free track or preview clip from a Web site. See Download free tracks for more information.

Buy Track: Click to purchase the CD-quality Liquid Track of the song you previewed at a Web site.

Buy Album: Click to purchase the CD containing the song you are currently previewing at a Web site.


Import CD view

The Import CD view enables you to import individual tracks or entire CDs from your CD-ROM to your computer. After importing CD tracks, they can be played through your computer or transferred to a CD-R or (with the Liquid Player Plus) to a portable device. A CD Wizard is available from the Import CD view that lets you easily set the default parameters for CD importing.

Select the CD-ROM you want to import from by selecting its name from the [image] drop-down list. You can also select or deselect individual tracks for importing, by activating or clearing the checkboxes for the tracks as desired.

Device Select: Selects the CD-ROM you want to import tracks from.

Import: Begins the process of importing tracks from your CD-ROM to your computer.

CD Info: Updates CDDB information for every CD on your system as well as refreshes the display on the Import CD view.

Import Wizard: Displays the CD Wizard. Use the CD Wizard to set the default parameters to be used when CD tracks are imported. The Wizard offers complete information on each parameter that you set as you set them.

CDDB Submit: Lets you submit CD track data to the CDDB database if their information is incorrect or they do not have information on the CD you are importing.

Cancel: Cancels the CD import.

You can also play a CD in the Import CD view. Simply right-click one of its tracks and select Play from the menu that appears.

See also:

Import your music from a CD


Organize Music view

The Organize Music view contains the Track Pool group and the Track Lists group. The Track Pool group enables you to quickly scan your computer system for any tracks that can be played by Liquid Player. In addition, you can play, delete, and view the properties of the various tracks on your system with the Track Pool. The Track Lists group enables you to create custom track lists that can be used for playback or for transferring multiple tracks to a CD-R or (with the Liquid Player Plus only) portable device.

The Organize Music view also enables you to sort through your tracks by permissions, track title, artist name, album name, genre, track duration, and download date. You can adjust these columns by moving the mouse over the column name, clicking the column, and moving it left or right.

Track Pool: Displays a listing of tracks available on your computer. You can sort the order of the Track Pool by clicking one of the permission icons or titles in the column header bar. The available permission icons include Play ( [image]), Record to CD-R ( [image]), and Record to Portable Device ( [image]). The available titles include Title, Artist, Album, Genre, Time, and Download Date.

If a track can no longer be played, it will appear in light gray.

When a track is highlighted, that track’s information is displayed below the Track Pool.

Here is what the permission icons mean for a track:

If there is a check in this column, the track can be played.

If there is a check in this column, the track can be recorded onto a compact disc.

If there is a check in this column, the track can be recorded onto a portable device.

Each track also has one of the following icons preceding it:

Represents a Liquid track.

Represents a track that is in the MP3 file format.

Represents a track that is in the WAV file format.

Represents a track that is in the WMA or ASF file format. If a WMA track has a question mark in its play permission column, its permissions were not automatically determined. You can manually determine its permissions by playing the track.

Edit Info: Displays the Edit dialog box where you can edit the information of individual imported tracks.

Remove: Clicking Remove while a track is selected in the Track Pool deletes the track from your computer. The first time you attempt to delete a track, you will be prompted to confirm the deletion. You have the option of disabling this prompt by checking the Don’t ask me this again checkbox. Thereafter, you will no longer be prompted to confirm a track deletion. Clicking Remove while a track is selected in the Track List group removes the track from the track list, but does not remove it from your computer.

Scan: Displays the Scan for Tracks dialog box, where you can select a drive or directory to search for audio files (MP3, LQT, WAV, WMA, ASF) and track lists that are compatible with Liquid Player. Any new tracks found will be automatically added to the Track Pool.

Right clicking a track in the Track Pool gives you the option of playing the track, enqueuing the track for playback, editing track information, removing the track from the Track Pool, deleting the track from your computer, viewing the properties for the track, or creating a new track list containing the track.

Track Lists: Displays a listing of track lists created in Liquid Player or imported using the Import Track List feature. Track lists with a plus sign (+) can be clicked and expanded, showing the individual tracks contained in the particular track list. Click the minus sign (-) to minimize the display of individual tracks.

Each track appears with one of the following icons:

Represents a track that can be played.

Represents a track that can no longer be played.

Create: Enables you to create a new track list. Once a name is entered, the empty track list is displayed in the Track Lists group.

Add: Takes any highlighted track or multiple tracks and adds them to the selected track list. Multiple tracks can be selected by highlighting a track and holding the CTRL key as you highlight additional tracks.

Rename: Enables you to rename the selected track list.

Arrow Down: Moves a selected track down in the order of a track list.

Arrow Up: Moves a selected track up in the order of a track list.

Right clicking the mouse over a track list in Track Lists gives you the option of playing, deleting, renaming, or viewing the properties of a track list.

See Also:

Creating Multiple Track Lists


Export view

The Export view lets you select individual tracks or track lists and record them to a CD recorder or portable device.

Note: Only the Liquid Player Plus supports portable device transfer functionality.

For step-by-step procedures on how to record, or burn, a CD, read Record your tracks to a compact disc.

For step-by-step procedures on how to transfer tracks to a portable device, read Transfer tracks to a portable music device.

Burn CD: Click to put the Music Organizer into Burn CD mode, which lets you burn tracks to audio CDs.

Export to Device: Click to put the Music Organizer into Export to Device mode, which lets you transfer tracks to a portable device. (Available only with the Liquid Player Plus.)

\ [image] CD-R\Device Selection: If there are multiple CD-Rs or portable devices attached to your system, click the down arrow to select the device you want to transfer tracks to.

Media: If the Music Organizer is in Export to Device mode, use this drop-down list to select the media to use with the currently selected portable device.

Info: Displays the Portable Device Information dialog box, which has information on the currently selected portable device. (Export to Device mode only)

Track pool group

Track Pool: Displays a listing of All Tracks available on your computer as well as any track list on your computer. When a track is highlighted, that track’s information is displayed below the Track Pool group. Use this listing to drag individual tracks or track lists from the Track Pool to the transfer list in the Device\Media Contents group area.

You can sort the track pool using a particular category, such as artist name, by clicking the category name button.

If a track can no longer be recorded, it will be dimmed.

Each track appears with one of the following icons:

Represents a Liquid track.

Represents a track that is in the MP3 file format.

Represents a track that is in the WAV file format.

Represents a track that is in the WMA file format.

Right clicking on a track gives you the option of playing it or viewing its properties.

Show Usable Tracks\Show All Tracks: When Show Usable Tracks is selected, only those tracks that can be burned to a CD-R or transferred to a portable device are displayed in the Track Pool. For instance, an imported track can only be burned three times; once this limit is reached, it will no longer be displayed in the Track Pool. When Show All Tracks is selected, all tracks are displayed, regardless of their recording permissions.

Device\Media Contents group

Device\Media Contents: Displays the transfer list, which shows tracks ready to be recorded, as well as the contents of the CD-R or currently selected portable device media. To transfer tracks, first drag tracks or track lists from the Track Pool to the transfer list. Then click the Transfer button.

Each track under Device\Media Contents appears with one of the following icons:

Represents a track already recorded to the CD-R or portable device.

Represents a track ready to be recorded to the CD-R or portable device.

(Export to Device mode) Represents a track that has been marked for deletion from the portable device.

If your computer does not have a CD-R (or portable device) supported by the Liquid Player, a message informing you of this will appear in the transfer list area.

Transfer: (Burn CD mode) Begins the transfer of tracks to a CD-R.

Transfer: (Export to Device mode) Begins the transfer of tracks to the portable device.

Remove: Removes a selected track from the transfer list. If you decide that you don’t want to transfer a particular track to a CD-R or portable device, highlight the track, and click the Remove button. The track will be removed from the list and will not be transferred.

In Export to Device mode, this button will also delete a selected track that has already been transferred to a device media. Click the [image] button to complete the deletion process.

Close CD (Burn CD mode): Completes the CD recording process by adding a table of contents to your CD. When you close the CD, it can no longer be recorded to. Once closed, audio CDs can be played in any CD player.

Refresh: Updates the listing of tracks on your CD-R or portable device.

Add Track: Adds the selected track or tracks to the CD-R or portable device for recording. To complete the recording process, click the Transfer button ( [image] or [image] )

Arrow Down: Moves a selected track down in the transfer list.

In Export to Device mode, this button can also be used to move a track already transferred to the portable music device. To complete the move, click the [image] button.

Arrow Up: Moves a selected track up in the transfer list.

In Export to Device mode, this button can also be used to move a track already transferred to the portable music device. To complete the move, click the [image] button.

When the Music Organizer is in Burn CD mode, right clicking a track in the transfer list gives you the option of removing the track from the pool of tracks to be burned.

When the Music Organizer is in Export to Device mode, right clicking a track in the transfer list gives you the option of changing the track’s display name, deleting the track from the media, or undoing the last action performed.

See also:

Record your tracks to a compact disc

Transfer tracks to a portable music device.


Download view

In the Download View, you can check the progress of Liquid Tracks you are downloading, cancel downloads, and resume downloads that were interrupted.

The Download view automatically appears when you download an automated track or sample from a Liquified Web site. If you are downloading a track via the Now Playing view, you can click the Download view button at the left side of the Music Organizer to display the Download view and check the status of the download.

The Download view lists any tracks whose downloads were cancelled or are pending (i.e., that were interrupted for some reason), as well as the track you are currently downloading. The Progress column contains a bar indicating the percent completion of the current download. If an error occurs during the download, this column instead displays an error message. The Download view also displays the track's title, its size in kilobytes and the estimated time remaining to complete the download.

Download: If a download is pending or was cancelled, you can complete it by selecting the checkbox for the track then clicking Download.

Cancel: Stops the current download and turns its status to cancelled.

Delete: Removes the selected download from the Download view list.

The area beneath the track list displays song information, including the artist name, album name, the path to the location of the downloaded file, the file's type, and (for a purchased track) the retailer.

Right-click on a pending or cancelled track in the download list to bring up a menu that lets you download the track, delete the track from the list, mark the checkboxes of all the pending or cancelled tracks, or clear the checkboxes of all the tracks.

Use the File menu > Preferences command to open the Preferences dialog box, where you can set the Music Files Location for downloads, and control what will happen after the download completes,


Open

Select Open to display the Open dialog box where you can load Liquid Tracks, MP3 audio files, track lists, WMA, and WAV files into the Liquid Player.


Play CD

Select File > Play CD to play an audio CD with the Liquid Player.


Close

Select Close to close a track or Track List currently playing in the Liquid Player.


Import Track List

Select Import Track List to display the Open dialog where you can import a MP3 Track List (m3u).


Password/Passport

Registration

Register Player: Displays a dialog box where you can choose to register your player with Fast Track Security or with a Full Passport.

Search for Existing Passport: Select this command if you would like the Liquid Player to find a Passport that already exists on your computer..

View Passport: Displays information contained in your Passport.

Enter Password: Displays the Enter Password dialog, where you can enter a password to prohibit other users from seeing your Passport information.

Change Password: Displays the Change Password dialog. You must know the old password in order to create a new password.

Recover Lost Password: Displays the Recover Lost Password dialog, where you are instructed to contact the Liquid Operations Center for a PIN number. A button is provided to easily connect you through a web browser. After a PIN number is obtained and entered you can enter a new password.


Preferences (General)

The Preferences dialog box General tab lets you control the Liquid Player display. You can also use it to set the Liquid Player as the default player of different audio file types.

The Preferences dialog box also lets you select the Connection, File Actions, Performance, Import Music, Paths, and CD Recording tabs.

General Settings group

Enable Faceplate Downloading: When activated, the Liquid Player will prompt you to download a faceplate associated with a Liquid Track not available on your system.

Reset Settings: Resets all of the Liquid Player's preferences to the defaults originally set when you installed the program.

Track Time Display:

Count up: Causes the time display in the top of the Liquid Player to count up during the playback of tracks.

Count Down: Causes the time display in the top of the Liquid Player to count down during the playback of tracks.

Music File Types group

Liquid Audio Tracks and Streaming downloads: When activated, the Liquid Player becomes the default player of Liquid Audio files and Liquid Audio streams.

Windows Media Audio Files and Streams: When activated, the Liquid Player becomes the default player of Windows Media audio files and Windows Media streams.

MP3 Audio Files: When activated, the Liquid Player becomes the default player of MP3 audio files.

CD Audio: When activated, the Liquid Player becomes the default player any CDs inserted into the CD-ROM drive.

Automatically reclaim audio file types: When activated, the Liquid Player will reclaim any file types enabled in this dialog that have been associated with a different application every time the Liquid Player is started.

Automatically connect to the internet for CD information: When activated, the Liquid Player will attempt to automatically query CDDB for information on the current CD, including album name, artist, and track titles. This information will be displayed in the main player window.


View Statistics

Connection Statistics provide you with information regarding the streaming of audio to the Liquid Player. The information provided is useful to determine the quality of your Internet connection.

Received

Packets: Total number of packets received.

Bytes: Totals number of bytes received.

Lost

Total: Total number of packets lost.

Gap: Gap between lost packets in units of packets.

Recovered: Total number of packets recovered.

Details

Information contained within the packets that are used for debugging and profiling purposes.

File Information

Length (bytes): Length of track in bytes.

Duration (ms): Length of track in milliseconds.


Upgrade Player

Select Upgrade Player to contact Liquid Audio over the Internet and check for a new release of the Liquid Player. If your version of the Liquid Player is not current, the Liquid Auto Updates Available dialog box will let you download and install a new Liquid Player over the older version.


Recent Song Selection

Displays a list of recently played tracks from the File menu dropdown. Select a track from the dropdown and it will be reloaded into the Music Player and played.


Exit

Select Exit to close the Liquid Player.


Buy Download

Selecting Buy Download enables you to purchase the CD-quality Liquid Track of the song you auditioned over the Internet.

See also:

Request a free Liquid Passport

Purchase music on the Internet

Record your tracks to a compact disc


Purchase

Selecting Buy CD enables you to buy the CD that contains the song currently being auditioned over the Internet.

See also:

Purchase a CD


Free Download

Selecting Free Download enables you to download and listen to a clip of a song, or the entire song, for free. Once downloaded, you can play it on your computer as many times as you like.

See also:

Download free tracks


Shuffle Play

Activating Shuffle Play plays tracks in a track list randomly. Shuffle Play can be used in conjunction with Continuous Play.


Continuous Play

Activating Continuous Play plays a selected track or a track list continuously until the Stop button is clicked or the Liquid Player is exited. Continuous Play can be used in conjunction with Shuffle Play.


Properties

The Properties dialog box enables you to view Song Descriptions, Audio Properties, Permissions, and Expiration Dates.

Song Properties

Song Description: Displays standard track information such as title, length, album name, and file location.

Audio Properties: Displays statistics about the track regarding the method and quality of the encoding of the track.

Song Permissions

Track Permissions: Displays icons that indicate whether the track can be played, recorded, or transferred to a CD-R. Use the Expiration Dates group to determine if a particular permission has expired.

Expiration Dates: Displays the expiration date on track permissions.


Navigation

Select Navigation to open a submenu allowing you to choose from one of the following views: Home, Now Playing, Import CD, Organize Music, Export, and Download.


Language

Selecting Language displays a drop-down list of the languages, available on your computer, which the Liquid Player supports. Selecting a language from the list will display the Liquid Player commands and options in that language


Faceplates

Selecting Faceplates displays a drop-down list of all available faceplates. Selecting a faceplate from the list will display it in the Liquid Player.


Contents

Selecting Contents displays the Liquid Player 6 help system.


Liquid Audio on the Web

Selecting Liquid Audio on the Web displays a selection of links that will connect you to Liquid Audio through your web browser.


CDDB – The #1 CD Info Source

Selecting CDDB opens your browser to www.cddb.com, where you can find more information on The World’s Largest Online CD Database.


Liquid Audio Privacy Statement

Selecting Liquid Audio Privacy Statement opens your browser to www.liquidaudio.com/privacy/ where you can find more information on Liquid Audio’s policies regarding user privacy.


About Liquid Player

Selecting About Liquid Player displays the About dialog that contains copyright information and information on our technology partners.


Tips and Troubleshooting

If you are experiencing problems with the Liquid Player, or if you would like more information about a certain aspect of Liquid Player use, click any of the links below to view their topics.

Increasing Internet connection speed

Browser-specific problems

America Online-specific problems

Operating system specifics

Streaming problems--General

Streaming problems--Network-specific

Downloading problems

Liquid Passport problems

Creating Multiple Track Lists

Before recording songs to a CD


Increasing Internet connection speed

It is usually not possible to achieve significant Internet transmission speed increases on standard telephone lines. Rarely can standard telephone lines handle data transmitted at speeds higher than 28.8 KBPS, although at times the connection may approach 33.6 KBPS or 56 KBPS. Although you may be using a 56K modem, your connection speed will usually be significantly less than that, due to the technological limitations of standard telephone lines.

If you are planning on extensive Web music purchases, you might consider obtaining a DSL connection. Check with your Internet Service Provider and your local telephone company for more details. Another option may be to obtain Internet service through your cable TV provider if it is available in your area.


Browser-specific problems

The “Helper application not found” alert appears

If Netscape Navigator “forgets” that the Liquid Player is a helper app, the “Helper application not found” dialog box will appear. To solve the problem, follow these steps:

  1. Close all Netscape browsers or mail clients that are running.

  2. Re-run the Liquid Player installer application.

Netscape Navigator can now use the Liquid Player as a helper application.

Using an unsupported Browser release

One problem with using pre-release Web browser software is that the manufacturer has not completed work on the browser and will not offer technical support. Since the Liquid Player currently works with Internet Explorer versions 4.0 through 5.5 and Netscape Navigator/Communicator versions 4.x through 6.0, we recommend reinstalling one of those browsers and deleting all traces of other pre-release browser software from your PC.


America Online-specific problems

Setting up the Music Player as an AOL “helper application”

If your copy of America Online (version 5.0 or 6.0 for Windows 98\Me) cannot open the Liquid Player as a “helper app,” follow these steps:

  1. Log off and exit AOL.

  2. Initiate the Windows “Add/Remove Programs” Control Panel to uninstall the Liquid Player.

  3. Obtain the latest installer (if you do not already have one) and reinstall the Liquid Player.

The AOL application should now be able to open and use the Liquid Player.

When the "Failed to init/change winsock" alert dialog box appears

Since the Liquid Player was designed as a 32-bit application, you must use a 32-bit version of America Online to make Internet connections. This message may indicate that you have installed a 16-bit version of AOL. The best thing to do is to download and reinstall the correct Windows-specific software from AOL. Depending on your operating system, you will want to install one of the following:

  • Version 5.0 for Windows NT\2000

  • Version 6.0 for Windows 98\Me


Operating system specifics

Windows 3.x

The Liquid Player will not run on Windows 3.1.

Windows 95

The Liquid Player will not run on Windows 95.

Windows NT\2000

If you experience problems using the Liquid Player on a Windows NT 4 PC, visit the Liquid Audio Web site and download the latest Liquid Player installer. After uninstalling the current Liquid Player, then reinstalling the latest version, you should be able to use the Liquid Player to successfully stream and download music.

Note that the Liquid Player does not feature portable device support under Windows NT.

Note that the Liquid Player may encounter sluggishness on some systems running NTFS, under both Windows NT and Windows 2000.


Streaming problems--General

You get error messages when you try to stream or download a track

There is a fixed limit to the number of people who may access any one track. If you're getting an "Error #5" message or a "Maximum number of streams exceeded." message, this is probably the culprit. Try again during off-peak hours.

When you click on a track, nothing streams or downloads

If nothing streams or downloads when you click on a track, you may be experiencing Internet connection problems.

One solution you can try is using a different communication protocol. See the following topics for information on changing the Internet protocol:

Streaming problems--Network-specific

Connection

You can also try the following to make sure your computer is communicating properly with the Internet:

  • Try to ping or traceroute to the server.

  • Try using another application to access the Internet, and to stream and download files from it.

Streaming songs are interrupted by pauses

To smooth out any pauses in streaming, in which the playback suffers from choppy sound, follow these steps:

  1. Click File > Preferences.

The Preferences dialog is displayed.

  2. Click the Connection tab.

  3. In the Network Settings group box, click the Bandwidth drop-down arrow.

  4. Select a lower bandwidth.

  5. Click the Performace tab.

  6. In the Buffer Size group box, click and hold the slider and move it to a higher setting.

This increases the delay before streaming begins, but should help eliminate gaps in the playback.

  7. Click OK.

New settings are saved and the Preferences dialog is dismissed.

  8. Click the Play button to restart playback.

Once the song begins to stream to your PC, you’ll be able to tell if the changes improved the streaming quality. If playback does not improve, read the following section for more information.

If streaming problems are due to packet loss (UDP/RTP mode only)

When using the UDP/RTP protocol, streaming quality can be affected by packet loss, a common network problem that occurs when data is lost en route to your PC. Packet loss does not occur when using the TCP protocol. Packet loss can be traced to three causes:

  • Heavy use of the Internet

  • A poor connection (through your Internet Service Provider)

  • The Website server is very busy.

One of these solutions may work:

  • Switch to the TCP protocol in the Connection tab of the Preferences dialog box.

  • Break the Internet connection, then reconnect after a few minutes.

  • Try connecting to the same Website at other times, especially off-peak hours.

To verify that packet loss is the cause of choppy playback, you can use the Liquid Player Statistics window during streaming to measure how clear the Internet connection is--or isn’t. To do so, follow these steps:

  1. While streaming a song (and hearing choppy audio playback), click File > View Statistics.

The Connection Statistics panel is displayed.

  2. In the Lost group box, observe the Total count to see if any packets are being lost.


Streaming problems--Network-specific

Streaming songs through a firewall

When you click on a music link in your Web browser, the Liquid Player should start up and display the song's cover art, credits, lyrics, etc. and then start playing the music.

If the credits, cover art, or lyrics do not appear, you are probably connected to the Internet via a “firewall” or “filtering router.” Some organizations use these products to protect their internal networks by screening the network traffic, allowing only certain protocols. The Liquid Player normally uses TCP port 18888 to connect with the Liquid Server when requesting the music selection. The song's audio data is normally sent from the server to the player using UDP on ports 18888. Ask your network administrator to allow traffic to and from TCP port 18888 and allow traffic to UDP port 18888.

Some sites using the Liquid Server provide a proxy via the HTTP port. If you are still having problems streaming, you can set up the Liquid Player so it will try to use the HTTP proxy.

To set up the Liquid Player so it will use the HTTP Proxy:

  1. Click File > Preferences.

The Preferences dialog box is displayed.

  2. Click the Connection tab.

  3. In the Protocol Type group box, select HTTP.

  4. Select the Use Proxy check box.

  5. Fill in the Name and Port text boxes. Your Network Administrator should be able to supply you with the proper values.

  6. Click OK.

The Preferences dialog box is dismissed and you are returned to the Liquid Player interface.

  7. Click File > Exit.

Any parameters changed in the Preferences dialog are saved.

Click on the music link again.

Song information streams but song does not play

If the credits, cover art, or lyrics appear, but you cannot hear the music after 10 seconds, try these steps:

  1. Click File > Preferences.

The Preferences dialog is displayed.

  2. Click the Connection tab.

  3. In the Protocol Type group box, select TCP.

  4. Click OK.

The Preferences dialog is dismissed and you are returned to the Liquid Player interface.

  5. Click File > Exit.

Any parameters changed in the Preferences dialog are saved.

  6. Click on the music link again.


Downloading problems

When you click on a downloaded Liquid Track, it opens your web browser to a "lavs" address
--or--
When you try to download a Liquid Track, a file is downloaded so fast that the downloading screen flashes by too quickly for you to see what the name of the file was, or where it was put

When you click a link to listen to Liquid Audio music, that web page sends a small file to your computer. That small file (2k) is the .lav or .lavs file. Instead of having your web browser "save" that file, it needs to "open" it with the Liquid Player.

Checking to make sure that your browser is correctly configured will ensure that this will happen automatically every time you try to listen to Liquid Tracks. For more information on configuring your web browser, look at the browser support section at www.liquidaudio.com/support/index.html .

When you try to download a track, you experience sputtering or timeouts

If you are experiencing sputtering or timeouts when you download a track, try increasing the buffer size of the Player, or trying one of the other solutions for fixing track streaming problems. For details, see Streaming problems--General.

When you try to download a track over a network with a firewall, you experience problems

If you're connecting through a LAN, or other corporate/educational network, and the connection problems you are experiencing are consistent, you may be running up against a firewall. For details, see the Streaming songs through a firewall section in the Streaming problems--Network-specific topic.


Liquid Passport problems

If your attempt to acquire a Liquid Passport failed

There may have been an error in entry of the credit card information.

  1. Make sure that no dashes or other special characters were included such as: @ # $ % ^ & *

  2. Verify that the Expiration Date entry matches the one printed on the card.

  3. You must enter the correct billing address of the credit card, including the ZIP code.

Your name must be typed as it appears on the credit card, including any middle initials.

If you still have problems when acquiring a passport, or have other passport problems, please see the passport support area at www.liquidaudio.com/support/index.html .


Creating Multiple Track Lists

After you compile a track list, you have two options:

  • Use your PC as an entertainment center and play the listed songs through your computer’s sound card and speakers.

  • Record the contents onto a CD and play the CD on any existing stereo system (or suitably equipped PC).

But a track list doesn’t just go away once you’ve created it or recorded it onto a CD; in fact, you can assemble one track list of “Smooth jazz” tunes, then add some of the same songs to another, separate track list that might represent “Blues-y jazz”. You can then open either track list--at any time-- and play those songs through your PC speakers.

When using Liquid Tracks and Track Lists, remember these concepts:

  • You can play any Liquid Track through your PC speakers (using the Liquid Player) any number of times. As long as the Liquid Track file resides on your PC, you can play it back endless times with your registered copy of the Liquid Player.

  • You cannot give a copy of a Liquid Track to anyone else for use on their PC, because there is copy protection built into the Liquid Track file.

  • You can record the song only a limited number of times onto CDs. For instance, if you imported the song from a CD, you can then only record it three times.

But this leaves you with lots of PC playback options, all of which revolve around the infinite combinations of track lists that you can compile. With the Organize Music view, you can be your own music programmer and use your PC as a personal radio station or jukebox.


Before recording songs to a CD

  • To make sure that your CD-Recorder (CD-R drive) is fully set-up and is capable of recording files from your PC onto blank CD’s, use the software that was bundled with the drive to record a single file (of any type) onto a blank CD.

  • Before you start purchasing and downloading lots of songs, use a reputable hard drive utility software application to defragment your PC’s hard drive.

  • Before you record any music onto a blank CD, close any other open application, so that the Liquid Player is the only active application during the recording process. This greatly reduces the risk of CD errors.

Testing your CD recording setup

Before you begin recording songs onto a CD, you should consider whether or not you want to run one of two possible tests on your system. The first is a short test that confirms your CD-R drive is operating correctly. The second is a longer test that verifies that all of the Liquid Tracks that you are recording can be written to the CD-R drive by the Liquid Player with your current system configuration. For details on running these tests, see the CD Recording section of the Preferences topic.


Glossary

Click on one of the following glossary topics for a brief description.

AAC

ATRAC3

Bandwidth

CDDB™

Clip

Codec

Dolby AC-3

Download

Kbps

Liquid Player

Liquid Server

Liquid Track

LQT file format

Modem

MP3 file format

MPEG

Passport

Song

Stream(ing)

Track List

Track Pool

URL

Watermark

WAV


AAC

AAC (Advanced Audio Coding) is a sound compression technology that allows high quality coding of sound data at low data transmission rates. This means good sound at a low bit-rate. It also means that an AAC-encoded file is small. The typical AAC-encoded file is less than half the size of an MP3 file of comparable quality. Liquid Audio uses AAC technology to stream and download Liquid Tracks. The Liquid Player also encodes songs using AAC when ripping them from CDs.


ATRAC3

ATRAC3 is a sound compression technology based on "ATRAC," the music compression technology used for the MiniDisc. ATRAC3, however, has an additional new technology that increases the sound compression rate (by approximately one-tenth). This sound compression technology can achieve roughly twice the data reduction rate of the ATRAC sound compression used for the MiniDisc. ATRAC3 can be operated at multiple bit rates, so the compression rate can also be selected. For example, if 132 kbps is selected, the music data can be compressed approximately by 1/10 of the CD. Other settings will allow higher compression rates.


Bandwidth

The upper limit on the amount of data that can pass through a network connection expressed in Kbps (kilobits per second).


CDDB

Liquid Player uses the CDDBTM Disc Recognition ServiceSM (DRS) from CDDB, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic.

Using the CDDB Disc Recognition Service

  1. Select File > Preferences.

  2. At the bottom of the General tab, select the Automatically connect to internet for CD information checkbox.

Liquid Player will now use CDDB to get CD information when you play an audio CD.

To see or edit the full CDDB information for a CD, enable the CDDB submit button by clicking File menu > Preferences > Import Music tab, and activating the Enable CDDB Submit from Import Music view checkbox. The CDDB button will be available from the Import Music view of the Music Organizer. After inserting a CD into your computer’s CD-ROM, you can click the CDDB button to submit additional information to CDDB about the CD your are importing. For more on the CDDB service, go to www.cddb.com.


Clip

A brief preview portion of a complete song.


Codec

Codec, short for coder/decoder, is a mathematical algorithm that specifies how to efficiently represent a signal with a small number of bits.


Dolby AC-3

A standard format for high-quality digital audio compression.


Download

The process by which a file (clip, Liquid Track, song) is delivered to your computer through the Internet. This is not the same as streaming.


Kbps

Kilobits per second; a unit of measurement that represents thousands of bits-per-second. A measure of network bandwidth on a data transmission medium such as a twisted-pair copper cable or coaxial cable.


Liquid Player

Software that lets consumers preview or purchase CD-quality music on the Internet.


Liquid Server

Software that manages the encoded music content and guarantees secure delivery and tracking of CD-quality music over the Internet.


Liquid Track

The audio image that is downloaded to your computer after a purchase has been completed. A Liquid Track file contains the highest-quality audio that can be provided, compressed using technologies such as AAC, ATRAC3, or AC-3. The file is encrypted to prevent piracy.


LQT file format

Liquid Track; a proprietary audio format that allows consumers to stream, download, or purchase music over the Internet.


Modem

A computer peripheral device that employs a digital-to-analog converter to modulate and demodulate the data stream from binary to analog and vice versa.


MP3 file format

Shorthand for MPEG 1, audio layer 3, a standard created by the Moving Pictures Experts Group for encoding and decoding digital audio.


MPEG

Moving Pictures Experts Group; an international standard within SMPTE (the Society of Motion Picture and Television Engineers) that sets specifications for compression schemes used by audio and video.


Passport

Enables you to purchase Liquid Tracks, and is embedded into every purchased Liquid Track to prevent piracy.


Song

A complete song, start to finish, as contrasted with a preview clip of the same song. Songs can be streamed, while clips must be downloaded prior to playback.


Stream

The process of “live broadcast” of high-quality audio over the Internet. Streaming results in almost-instant, continual delivery of a song to your PC.


Track List

A collection of tracks assembled by genre, artist, album, or by whim.


Track Pool

Part of the Music Organizer. Displays a comprehensive listing of every track on your computer.


URL

Universal Resource Locator; an address that lets the Liquid Player or a browser receive audio files from a server.


Watermark

In order to protect the ownership of music publisher’s materials, a watermark is embedded into the songs. Like a paper watermark, it cannot be removed without destroying the original.


WAV

A file format for storing sound, developed by Microsoft and IBM ."WAV" is a shortening of "waveform".


CD Recording

The Preferences dialog box CD Recording tab gives you options for selecting, controlling, and testing the CD-R drive you will be recording audio files to.

CD Recorder group

Current CD-R Drive: Displays a drop-down list where you can select a CD recorder. Selecting a recorder automatically updates the Record Speed drop-down list. The CD recorder selected will be displayed as the default recorder in the Music Organizer.

Record Speed: Displays a drop-down list where you can select the recording speed of the CD recorder displayed in the Current CD-R Drive drop-down list.

Simulate write: When activated, the Liquid Player performs a simulated write with the default CD recorder. This enables you to verify that your current user parameters and system configuration will allow successful recording. When activated, the recording progress dialog box will indicate “Simulated” during CD recording.

Don't Ask to Close CD: When activated, the Liquid Player will not prompt you to close a CD once recording is complete. When you close the CD, it can no longer be recorded to. Once closed, the CD can be played in any compact disc player.

Enable BURN Proof: When activated, will prevent Buffer Under Run (BURN) errors that can cause the CD recording process to fail. Note that BURN Proof technology is not available with all CD recorders.

Temporary File Directory: Determines the directory used for the creation of the temporary record image file. Click on the Browse button to search for a different directory.

Test CD-R Recording: Simulates a write test with the currently selected CD recorder, at the selected record speed.


Connection

The Preferences dialog box Connection tab lets you set the correct protocol to use when streaming or downloading tracks. Typically, you will want to use the default setting of HTTP, which offers a reliable connection, especially from behind a firewall. If HTTP fails, the Liquid Player will attempt a TCP connection. If TCP fails, the Liquid Player will time out. At this point, you should consult with your network administrator to determine what proxy setting you may need to set.

Network Settings

Bandwidth: Displays a dropdown list where you can select your computer’s connection bandwidth.

Protocol Type: Select between UDP/RTP, TCP, or HTTP as your protocol type. If you don’t know what setting to use, consult your network administrator.

UDP/RTP: Enables faster streaming by allowing the server to send packets without error correction. This allows the server to send a constant stream of packets regardless of whether one or more packets were lost in transmission. If UDP/RTP does not connect properly, the Liquid Player will attempt to connect using TCP.

TCP: Enables guaranteed delivery of every packet sent from a server to the Liquid Player. The packets are error corrected for errors if one or more are lost in the transmission which can slow the stream. If TCP or UDP/RTP is selected, and neither connects properly, the Liquid Player will attempt to connect using HTTP.

HTTP: Enables users who cannot connect using the UDP/RTP protocol to be able to stream clips and tracks. Select this option if UDP/RTP does not connect properly. If HTTP is selected but does not connect properly, the Liquid Player will attempt to connect using TCP.

Use Proxy: Used when you are attempting to connect through a network with a firewall, and the HTTP protocol alone does not accomplish this. The Name and Port values should be set according to the particular network you are trying to connect through. Consult your network administrator for details.

See Also:

Streaming problems--General

Streaming problems--Network-specific


File Actions

The Preferences dialog box File Actions tab lets you control what the Liquid Player does with tracks after it finishes downloading or importing them.

After Download Completes

This drop-down list specifies what happens to a track after it is downloaded. Play now plays the track immediately. Enqueue for playback adds the track to the currently loaded track list for playback. Add to track pool adds the track to the track pool without playing it.

After Track Import

Overwrite existing track/ Create a unique file name if track exists: The Liquid Player will either overwrite an existing track if a second track with the same name is imported, or create a unique name for the imported track.

Automatically transfer track to device: Specifies the portable device that Liquid Player should transfer tracks to when a CD import has completed.

Create a track list of transfer tracks when device is not present: When activated, Liquid Player will create a Track List of transfer tracks when a portable device is not available.


Import Music

The Preferences Import Music tab gives you options for importing audio files from your CD drive.

Encoding group

Preset: Specifies the quality of the encoding used when importing tracks. The higher the encoding quality used, the larger the resulting file will be.

High Priority/Idle Priority: Toggles between using all your system’s resources when encoding (high priority) or using a partial amount of your system’s resources (idle priority). Using High Priority will cause other open applications to respond slowly when importing tracks.

CD Import group

Device: Displays a drop-down list where you can select a CD recorder. Selecting a recorder automatically updates the CD Read Speed drop-down list.

CD Read Speed: Displays a drop-down list where you can select the read speed of the CD recorder displayed in the Device drop-down list.

CD Insert Behavior: Controls what the Liquid Player does when you insert an audio CD into your CD drive. Do nothing specifies that no action will be taken. Begin playing the CD automatically tells the Liquid Player to play the CD. Import the CD automatically tells the Liquid Player to display the Import CD view, highlight the CD-ROM drive, and select all of the tracks for importing. When Import the CD automatically is selected, you will only need to click the Import button to complete the import process.

Advanced Settings: Displays the Advanced CD Import Settings dialog box. Use this dialog box when Liquid Player’s detected settings for your CD-ROM are incorrect.

Number of retries: Specifies the number of times your CD-ROM should attempt to retry data access after a failure has occurred.

Sectors per read: Specifies the number of sectors that should be read. This number should be adjusted when clipping is occurring on track import.

Track offset start: Specifies the starting point for track import. If you notice that the beginning of the imported track is being cut off, this number should be adjusted. To edit, first activate the checkbox on the left.

Track offset end: Specifies the ending point for track import. If you notice that the end of the imported track is being cut off, this number should be adjusted. To edit, first activate the checkbox on the left.

Skip defected sectors: When activated, your CD-ROM will skip defected sectors instead of attempted to read them again.

Disable buffer overflow detect: When activated, your CD-ROM will not discard data loaded into its buffer.

Enable CDDB Submit from Import CD view: When activated, you will have the option of submitting CD track data to the CDDB database if their information is incorrect or they do not have information on the CD you are importing.


Paths

The Preferences dialog box Paths tab lets you specify the directories used by Liquid Audio for different types of files, as well as specify the directory structure that downloaded tracks are saved in.

Directory Settings group

Music Files Location: Specifies the default directory that downloaded music files are copied to. Click the ... button to browse to a directory.

Temporary Files Location: Specifies the directory used to temporarily store images of CD tracks that are being imported. Click the ... button to browse to a directory.

Default Faceplate Location: Specifies the default directory that downloaded faceplates are copied to. Click the ... button to browse to a directory.

Track Organization group

Organize downloaded tracks on disk by: Specifies the directory structure that downloaded tracks are saved in.

Artist: Creates a directory within the Music Files Location directory based on the name of the artist and saves the tracks to that directory.

Organize imported tracks on disk by: Specifies the directory structure that imported tracks are saved in.

Artist: Creates a directory within the Music Files Location directory based on the name of the artist and saves the tracks to that directory.

Album: Creates a directory within the Music Files Location directory based on the name of the album and saves the tracks to that directory.

Artist/Album: Creates a directory within the Music Files Location directory based on the name of the artist, and a subdirectory within the artist directory based on the name of the album. Saves the tracks to the subdirectory

Automatically build Track Lists after download or import: When activated, Liquid Player automatically generates a Track List based on the name of the downloaded or imported album.


Performance

The Preferences dialog Performance tab lets you control the quality of streamed audio playback.

Audio Playback group

Better Audio Quality: Increases the quality of streamed audio playback. If this is activated, and you are experiencing inconsistent playback, switch to Better Playback on Slower Machine.

Better Playback Performance on Slower Machine: Fine-tunes the operation of the Liquid Player for slower machines that may encounter choppy playback.

Buffer Size:

Move the slider to change the audio buffer size of the Liquid Player. The audio buffer is used to eliminate pauses in the playback of audio streamed over the Internet. Music is loaded into the buffer prior to playback and keeps brief interruptions in the streaming of music from causing the Liquid Player to pause during playback. Increasing the buffer also increases the delay before streaming playback begins.


Edit Dialog Box

Edit Info Dialog box

Use the Edit Info dialog box to enter information on MP3 tracks and tracks that have been imported from audio CDs. Some of the fields may not contain information.

General

Track Name: Displays the name of the track.

Display Name: Displays the name of the track that will be displayed in the CD player.

Artist: Displays the track’s artist’s name.

Album: Displays the track’s album name.

Genre: Displays the genre of the track.

Copyright: Displays the copyright information for the track.

Production

Producer: Displays the name of the track’s producer.

Remixer: Displays the name of the track’s remixer.

Arranger: Displays the name of the track’s arranger.

Composer: Displays the name of the track’s composer.

Conductor: Displays the name of the track’s conductor.

Label: Displays the name of the track’s label.

Lyrics

Displays the lyrics for the track.

Notes

Displays additional notes for the track.


Find Song

Find Song by Title dialog box

Right clicking the track list in the Now Playing view, then selecting Enqueue for Playback, opens the Find Song by Title dialog box. This dialog box lets you search for a song to add to the playback queue.

Type the first few letters of a song title, and matching song titles from the Track Pool will be displayed. Then select the song you want, and click OK to add the song to the current track list.


Portable Device Information dialog

Portable Device Information dialog box

The Portable Device Information dialog box lets you see information on the current device, the media it contains, and the devices supported by the device drivers on your machine.

Devlce

This tab contains links to the Website of the portable device manufacturer. It also contains the Device Information folder. You can expand this folder to view the following subfolders:

Support URL: Expand this folder to see a link taking you to the support Website for the device.

Device Version: Expand this folder to see hardware, firmware, and device ID information.

Supported Codecs: Expand this folder to see the codecs the device supports.

You can give the device a nickname by entering a new name in the Device Name text box.

Media

This tab contains a folder for each media on the portable device.

Information on Media Expand this folder to see the memory capacity of the media, the available memory on the media, and the Media ID.

You can give the media a nickname by entering a new name in the Media Name text box.

Supported

Expand the folder in this tab to see a list of the portable devices supported by the device driver on your computer.


Finish!

This is the last Wizard dialog box.

Depending on the choice you made in the Select Registration Wizard dialog box, you will see one of the following two options:

Register the player: Select this check box to register your copy of the Liquid Player.

Search for an existing passport: Select this check box to have the Liquid Player search for an existing Passport on your computer.

You will also see this option:

Search for Tracks and Track Lists: If you select this check box, the Liquid Player will search for audio files (MP3, LQT, WAV) on your computer. Any audio files found will be added to the Track Pool for the Liquid Player. The Liquid Player will also search your computer for Track Lists that are compatible with Liquid Player.

Click Finish to complete the setup of your Liquid Player.


Liquid Audio Files

This Wizard dialog box lets you make the Liquid Player the default player for different audio file types. You can also select the query CDDB option.

Automatically reclaim music file types: If you select this check box, every time the Liquid Player starts, it will reclaim any file types selected in this dialog box that have been associated with a different application.

All supported file types: If you select this check box, the Liquid Player will be the default player for all file types and streams listed below.

Liquid Audio Tracks and Streaming downloads: If you select this check box, the Liquid Player will be the default player of Liquid Audio files and Liquid Audio streams.

Windows Media Audio Files and Streams: If you select this check box, the Liquid Player will be the default player of Windows Media audio files and Windows Media streams.

MP3 Audio Files: If you select this check box, the Liquid Player will be the default player of MP3 audio files.

CD Audio Tracks: If you select this check box, the Liquid Player will be the default player of any CDs inserted into the CD-ROM drive.

Automatically query CDDB for CD information: If you select this check box, the Liquid Player will attempt to automatically query CDDB for information on the current CD, including album name, artist, and track titles. This information will be displayed in the main player window.

Click Next to see the next Wizard dialog box for setting up your Liquid Player.


Network Connection

This Wizard dialog box lets you choose the speed that the Liquid Player communicates with the Internet.

Don’t Know: Select this option if you don’t know the speed of your connection. The Liquid Player will attempt to find the appropriate network connection speed.

14.4 Modem: Select this option if your computer uses a 14.4 Kbps modem.

28.8 Modem: Select this option if your computer uses a 28.8 Kbps modem.

56K Modem: Select this option if your computer uses a 56 Kbps modem.

ISDN: Select this option if your computer uses an ISDN connection.

High Speed Connection: Select this option if your computer uses a high-speed connection, such as a DSL, cable modem, or T1 line.

Click Next to see the next Wizard dialog box for setting up your Liquid Player.


Registration Information:

Use this Wizard dialog box to enter personal information to register your copy of the Liquid Player. There are text boxes where you can enter your name, e-mail address and Zip/Postal code. You can also select your country from the Country drop-down list.

Click Next to see the next Wizard dialog box for setting up your Liquid Player.


Select Registration

In this Wizard dialog box, you can choose one of three options for registering your copy of the Liquid Player.

I need to register for the first time on this computer. Select this option if you have not registered a Liquid Player before on your computer.

I do not wish to register this product. Select this option if you don’t want to register your copy of the Liquid Player, or wish to register later. Bear in mind that if Liquid Player is not registered, you won’t be able to securely purchase and download Liquid Tracks over the Internet.

I have previously registered this computer and need to search for my registration. If you have a previously registered version of the Liquid Player on your computer, select this option.

Click Next to see the next Wizard dialog box for setting up your Liquid Player.


Welcome!

This Wizard dialog box lets you select one of two options for setting up your Liquid Player.

Express Setup: If you select this option, the Liquid Player will choose default settings for your computer’s network connection speed, registration information, and the types of music for which the Liquid Player will be the default player.

Custom Setup: If you select this option, you will be given the opportunity to choose the settings for the above items.

Click Next to see the next Wizard dialog box for setting up your Liquid Player.